%def_without sybase		# add Sybase support to munin-node

%add_findreq_skiplist /usr/share/munin/plugins/*

Summary: Munin - the Linpro RRD data agent
Summary(pl.UTF-8):	Munin - agent danych RRD Linpro
Name: munin
Version: 1.3.3
Release: alt0.8
License: GPL
Group: Monitoring
Packager: Nick S. Grechukh <gns@altlinux.org>

Source: http://dl.sourceforge.net/munin/%{name}_%version.tar.gz
Source1: %name-node.init
Source2: %name.cron
Source3: %name-apache.conf
Source4: %name.logrotate
Source5: %name-node.logrotate
Patch0: %name-Makefile.patch
Patch1: %name-plugins.patch
Patch2: %name-node-config.patch

Patch61: munin-1.3.3-alt-printf.patch
Patch62: munin-alt-prevent-false-req.patch

Url: http://munin.sourceforge.net/

#BuildRequires: html2text
#BuildRequires: htmldoc
#BuildRequires: perl-devel
BuildRequires: perl-HTML-Template perl-Net-Server perl-DBD-Sybase perl-DBD-mysql perl-DBD-SQLite rrd-perl perl-Text-Balanced perl-Date-Manip perl-Net-SNMP perl-libwww

Requires: %name-common = %version-%release
Requires: perl-Date-Manip
Requires: perl-HTML-Template
Requires: perl-Net-Server
Requires: rrdtool >= 1.2.11

BuildArch: noarch

#define _sysconfdir	%_sysconfdir/%name
%define htmldir		/var/www/html/%name

%description
Munin, formerly known as The Linpro RRD server, queries a number of
nodes, and processes the data using RRDtool and presents it on web
pages.

%description -l pl.UTF-8
Munin, znany poprzednio jako serwer RRD Linpro, odpytuje wiele węzłów
i przetwarza dane przy użyciu RRDtoola, a następnie prezentuje je na
stronach WWW.

%package common
Summary: Munin - the Linpro RRD data agent - common files
Summary(pl.UTF-8):	Munin - agent danych RRD Linpro - wspólne pliki
Group: Monitoring

%description common
Munin, formerly known as The Linpro RRD server, queries a number of
nodes, and processes the data using RRDtool and presents it on web
pages.

%description common -l pl.UTF-8
Munin, znany poprzednio jako serwer RRD Linpro, odpytuje wiele węzłów
i przetwarza dane przy użyciu RRDtoola, a następnie prezentuje je na
stronach WWW.

%package node

Summary: Linpro RRD data agent
Summary(pl.UTF-8):	Agent danych RRD Linpro
Group: Monitoring
Requires(post,preun):	/sbin/chkconfig
Requires: %name-common = %version-%release
#Requires:	perl-Config-General
Requires: perl-Net-Netmask
Requires: perl-Net-SNMP
Requires: perl-Net-Server
Requires: perl-libwww
Requires: procps >= 2.0.7
Requires: sysstat
Requires: /usr/bin/perl5.8.8

%description node
The Munin node package returns statistical data on the request of a
Munin server.

%description node -l pl.UTF-8
Pakiet Munin dla węzła zwraca dane statystyczne na żądanie serwera
Munin.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%patch61 -p0
%patch62 -p0

%build
make build

%install
install -d %buildroot%_sysconfdir/{munin{,plugin-conf.d},rc.d/init.d,cron.d,logrotate.d}
install -d %buildroot/var/log/archive/munin

%make_install install \
	DESTDIR=%buildroot

install %SOURCE1 %buildroot%_sysconfdir/rc.d/init.d/munin-node
install %SOURCE2 %buildroot%_sysconfdir/cron.d/munin
install %SOURCE4 %buildroot%_sysconfdir/logrotate.d/munin
install %SOURCE5 %buildroot%_sysconfdir/logrotate.d/munin-node

install %SOURCE3 %buildroot%_sysconfdir/munin/apache.conf

install dists/tarball/plugins.conf %buildroot%_sysconfdir/munin
ln -sf %_sysconfdir/munin/plugins.conf %buildroot%_sysconfdir/munin/plugin-conf.d/munin-node

install -D server/style.css %buildroot%htmldir/style.css


%post node
%post_service munin-node

%preun node
%preun_service munin-node

%pre common
/usr/sbin/useradd -r -M -s /bin/false -c "Munin Node agent" -d /var/lib/munin munin >/dev/null 2>&1 ||:

%files
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %_sysconfdir/cron.d/munin
%dir %_sysconfdir/munin/templates
%_sysconfdir/munin/templates/*
%config(noreplace) %verify(not md5 mtime size) %_sysconfdir/munin/munin.conf
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %_sysconfdir/logrotate.d/munin
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %_sysconfdir/munin/apache.conf
%attr(755,root,root) %_sbindir/munin-cron
%attr(755,root,root) %_datadir/munin/munin-graph
%attr(755,root,root) %_datadir/munin/munin-html
%attr(755,root,root) %_datadir/munin/munin-limits
%attr(755,root,root) %_datadir/munin/munin-update
%attr(755,munin,root) %dir %htmldir
%attr(644,munin,root) %htmldir/.htaccess
%attr(644,munin,root) %htmldir/favicon.ico
%attr(644,munin,root) %htmldir/style.css
%attr(755,munin,root) %dir %_datadir/munin/cgi
%attr(755,munin,root) %_datadir/munin/cgi/munin-cgi-graph
%_datadir/munin/VeraMono.ttf
%perl_vendorlib/Munin.pm
%_man8dir/munin-graph*
%_man8dir/munin-update*
%_man8dir/munin-limits*
%_man8dir/munin-html*
%_man8dir/munin-cron*
%_man5dir/munin.conf*

%files common
%defattr(644,root,root,755)
%doc README ChangeLog logo* Checklist
%dir %_sysconfdir/munin
%dir %_datadir/munin
%attr(750,munin,root) %dir /var/log/munin
%attr(750,munin,root) %dir /var/log/archive/munin
%attr(770,munin,munin) %dir /var/lib/munin

%files node
%defattr(644,root,root,755)
%dir %_sysconfdir/munin/plugins
%dir %_sysconfdir/munin/plugin-conf.d
%config(noreplace) %verify(not md5 mtime size) %_sysconfdir/munin/munin-node.conf
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %_sysconfdir/munin/plugins.conf
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %_sysconfdir/munin/plugin-conf.d/munin-node
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %_sysconfdir/logrotate.d/munin-node
%attr(754,root,root) %_sysconfdir/rc.d/init.d/munin-node
%attr(755,root,root) %_sbindir/munin-run
%attr(755,root,root) %_sbindir/munin-node
%attr(755,root,root) %_sbindir/munin-node-configure
%attr(755,root,root) %_sbindir/munin-node-configure-snmp
%dir %perl_vendorlib/Munin
%perl_vendorlib/Munin/Plugin.pm
%dir %_datadir/munin/plugins
%attr(755,root,root) %_datadir/munin/plugins/*
%if !%{with sybase}
%exclude %_datadir/munin/plugins/sybase_space
%endif
%dir %attr(770,munin,munin) /var/lib/munin/plugin-state
%_man5dir/munin-node*
%_man8dir/munin-run*
%_man8dir/munin-node*


%changelog
* Thu Mar 27 2008 Nick S. Grechukh <gns@altlinux.org> 1.3.3-alt0.8
- goes to sisyphus

* Thu Mar 27 2008 Nick S. Grechukh <gns@altlinux.org> 1.3.3-alt0.7
- another initscript improvements. useradd in postun

* Thu Mar 27 2008 Nick S. Grechukh <gns@altlinux.org> 1.3.3-alt0.4
- initscript reworked. very ugly although...

* Wed Mar 26 2008 Nick S. Grechukh <gns@altlinux.org> 1.3.3-alt0.4
- should work now, with findreq_skiplist

* Tue Mar 25 2008 Nick S. Grechukh <gns@altlinux.org> 1.3.3-alt0.3
- fixed requires

* Tue Mar 25 2008 Nick S. Grechukh <gns@altlinux.org> 1.3.3-alt0.1
- second try...

